***

title: Run a sale with bank account details
icon: landmark
published: true
intro: Take funds from a customer's bank account.
---------------------

For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.payroc.com/full-stack-guides/take-payments/payments/llms.txt. For full documentation content, see https://docs.payroc.com/full-stack-guides/take-payments/payments/llms-full.txt.

Our gateway supports the following bank transfer services:

* **Automated Clearing House (ACH):** A service that U.S. banks use to transfer funds between accounts.
* **Pre-Authorized Debit (PAD):** A service that Canadian banks use to transfer funds between accounts.

## Integration steps

* Create a bank transfer payment.

## Before you begin

### Bearer tokens

Use our Identity Service to generate a Bearer token to include in the header of your requests. To generate your Bearer token, complete the following steps:

1. Include your API key in the x-api-key parameter in the header of a POST request.
2. Send your request to [https://identity.payroc.com/authorize](https://identity.payroc.com/authorize).

<Note>
  **Note:** You need to generate a new Bearer token before the previous Bearer token expires.
</Note>

#### Example request

```bash
curl --location --request POST  'https://identity.payroc.com/authorize' --header 'x-api-key: <api key>'
```

#### Example response

If your request is successful, we return a response that contains your Bearer token, information about its scope, and when it expires.

```json
{
  "access_token": "eyJhbGc....adQssw5c",
  "expires_in": 3600,
  "scope": "service_a service_b",
  "token_type": "Bearer"
}
```

### Headers

To create the header of each POST request, you must include the following parameters:

* **Content-Type:** Include application/json as the value for this parameter.
* **Authorization:** Include your Bearer token in this parameter.
* **Idempotency-Key:** Include a UUID v4 to make the request idempotent.

```bash
curl
-H "Content-Type: application/json"
-H "Authorization: <Bearer token>"
-H "Idempotency-Key: <UUID v4>"
```

### Errors

If your request is unsuccessful, we return an error. For more information about errors, see [Errors](/api/errors).

## Create a bank transfer payment

To create a bank transfer payment, send a POST request to our Bank Transfer Payments endpoint.

| Endpoint   | Prefix     | URL                                                                                                          |
| :--------- | :--------- | :----------------------------------------------------------------------------------------------------------- |
| Test       | `api.uat.` | [https://api.uat.payroc.com/v1/bank-transfer-payments](https://api.uat.payroc.com/v1/bank-transfer-payments) |
| Production | `api.`     | [https://api.payroc.com/v1/bank-transfer-payments](https://api.payroc.com/v1/bank-transfer-payments)         |

### Request parameters

To create the body of your request, use the following parameters:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-payments" selector="request.body" />

### Example request

<EndpointRequestSnippet endpoint="POST /bank-transfer-payments" />

### Response fields

If your request is successful, we create the payment and return the following response:

<EndpointSchemaSnippet endpoint="POST /bank-transfer-payments" selector="response.body" />

### Example response

<EndpointResponseSnippet endpoint="POST /bank-transfer-payments" />

## Test cases

Before you run test cases, read the [Payments](/test/test-your-integration/payments) page in Test Your Integration.

### Run a sale with bank account details

Send a POST request to the following endpoint:

POST [https://api.uat.payroc.com/v1/bank-transfer-payments](https://api.uat.payroc.com/v1/bank-transfer-payments)

**Example response**

```json
{
    "channel": "POS",
    "processingTerminalId": "3204001",
    "operator": "Davi-CHP",
    "order": {
        "orderId": "CC-12",
        "description": "BT ACH - Sale with CC",
        "currency": "USD",
        "amount": 9700
    },
    "paymentMethod": {
        "type": "ach",
        "accountType": "checking",
        "secCode": "web",
        "nameOnAccount": "Davi",
        "accountNumber": "49100130",
        "routingNumber": "292735277"
    }
}
```